Cannot Update

Python Prescription - Virtual Screening Tool

[PyRx is no longer developed at MGL]

Moderator: sargis

Forum rules
[PyRx is no longer developed at MGL]

Cannot Update

Postby raka.bhaskara » Thu Apr 14, 2016 5:00 am

Dear Sargis,

I installed PyRx 0.9.4 on Linux, and I encountered an error similar to this error when running autodock: viewtopic.php?f=25&t=3179

Based on your answer on that thread, i decided to update the software but then I encountered another error and I can't figure out what was causing it, here is the log on the update error

ERROR|2016-04-13 17:02:36,061|Error in : <function CheckForUpdates at 0x9c1a500>
Python 2.6.6 (r266:84292, Jan 22 2014, 09:42:36)
[GCC 4.4.7 20120313 (Red Hat 4.4.7-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> Traceback (most recent call last):
File "/home/farm/PyRx-0.9.4/lib64/python2.6/site-packages/PyRx/", line 338, in TryCommand
retObject = command(*args, **kw)
File "/home/farm/PyRx-0.9.4/lib64/python2.6/site-packages/PyRx/", line 45, in CheckForUpdates
txt = urllib.urlopen("").readlines()
File "/home/farm/PyRx-0.9.4/lib64/python2.6/", line 86, in urlopen
File "/home/farm/PyRx-0.9.4/lib64/python2.6/", line 207, in open
return getattr(self, name)(url)
File "/home/farm/PyRx-0.9.4/lib64/python2.6/", line 346, in open_http
File "/home/farm/PyRx-0.9.4/lib64/python2.6/", line 908, in endheaders
File "/home/farm/PyRx-0.9.4/lib64/python2.6/", line 780, in _send_output
File "/home/farm/PyRx-0.9.4/lib64/python2.6/", line 739, in send
File "/home/farm/PyRx-0.9.4/lib64/python2.6/", line 720, in connect
File "/home/farm/PyRx-0.9.4/lib64/python2.6/", line 567, in create_connection
raise error, msg
IOError: [Errno socket error] [Errno 110] Connection timed out
Millimolar User
Millimolar User
Posts: 1
Joined: Wed Apr 13, 2016 10:11 am

Re: Cannot Update

Postby sargis » Sat Apr 16, 2016 5:46 pm

Dear Raka,

Sorry about this error. I can help you with that. There are no updates currently available for PyRx 0.9.4. The error message indicates a network connection problem. Please try again; it should show a dialog with "No updates available at this time." message.

If you want to try that update for earlier version you can do the following:

Make a back up copy of /home/farm/PyRx-0.9.4/lib64/python2.6/site-packages/PyRx so you can reverse the step below. For instance, rename /home/farm/PyRx-0.9.4/lib64/python2.6/site-packages/PyRx to PyRx.bak

Download and extract it at /home/farm/PyRx-0.9.4/lib64/python2.6/site-packages/

If you want to reverse back to original version rename PyRx.bak back to PyRx.

Thank you for using PyRx!
User avatar
Picomolar User
Picomolar User
Posts: 583
Joined: Fri Oct 17, 2008 10:39 pm

Return to PyRx

Who is online

Users browsing this forum: Google [Bot] and 3 guests